/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

/**
 * Turn a platform name into a font-awesome icon.
 */
const platformIcons: Record<string, string> = {
  bluesky:  "<i class=\"fa-brands fa-bluesky\"></i>",
  codeberg: "<i class=\"fa-solid fa-code\"></i>",
  discord:  "<i class=\"fa-brands fa-discord\"></i>",
  forum:    "<i class=\"fa-brands fa-discourse\"></i>",
  github:   "<i class=\"fa-brands fa-github\"></i>",
  irc:      "<i class=\"fa-regular fa-comment\"></i>",
  linkedin: "<i class=\"fa-brands fa-linkedin\"></i>",
  mastodon: "<i class=\"fa-brands fa-mastodon\"></i>",
  peerlist: "<i class=\"fa-solid fa-p\"></i>",
  reddit:   "<i class=\"fa-brands fa-reddit\"></i>",
  signal:   "<i class=\"fa-brands fa-signal-messenger\"></i>",
  slack:    "<i class=\"fa-brands fa-slack\"></i>",
  snapchat: "<i class=\"fa-brands fa-snapchat\"></i>",
  twitch:   "<i class=\"fa-brands fa-twitch\"></i>",
  twitter:  "<i class=\"fa-brands fa-twitter\"></i>",
  whatsapp: "<i class=\"fa-brands fa-whatsapp\"></i>",
};

const actionIcons: Record<string, string> = {
  ban:     "<i class=\"fa-solid fa-ban\"></i>",
  block:   "<i class=\"fa-solid fa-ban\"></i>",
  kick:    "<i class=\"fa-solid fa-shoe-prints\"></i>",
  mute:    "<i class=\"fa-solid fa-head-side-cough-slash\"></i>",
  revoked: "<i class=\"fa-solid fa-undo\"></i>",
  suspend: "<i class=\"fa-solid fa-broom\"></i>",
  warn:    "<i class=\"fa-solid fa-exclamation-triangle\"></i>",
};

export { platformIcons, actionIcons };
