/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import type { App } from "./app.js";
import type {
  ChatInputCommandInteraction,
  SlashCommandOptionsOnlyBuilder,
} from "discord.js";

export interface Command {
  data: SlashCommandOptionsOnlyBuilder;
  run:  (app: App, interaction: ChatInputCommandInteraction)=> Promise<void>;
}
