/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import type { PrismaClient, Sanctions } from "@prisma/client";
import type { Client } from "discord.js";

export interface App {
  discord:      Client;
  database:     PrismaClient;
  sanctions:    Array<Sanctions>;
  cacheUpdated: Date;
}
